public class WurzelVonProdukt {

    private static double[] toDouble(String[] swerte) {
        double[] werte = new double[swerte.length];

	for (int i=0 ; i<swerte.length ; i++) {
	    werte[i] = Double.parseDouble(swerte[i]);
	}

	return werte;
    }

    public static void main(String[] args) {
	double ergebnis = 0.0; 

	try {
	    ergebnis = Berechnen.berechneWurzelVonProdukt(toDouble(args));
	    System.out.println("Ergebnis: " + ergebnis);
	}
	catch (NumberFormatException e) {
	    System.err.println("Ungültig formatierter Zahlenwert: " + e.getMessage());
	}
	catch (NegativeNumberException e) {
	    System.err.println("Unerlaubte negative Zahl: " + e.getMessage());
	}
    }
}
