import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

public class FileCopy {

    public static void main(String[] args) {
        FileInputStream fis = null;
	FileOutputStream fos = null;
        int c;

	if ( args.length != 2 ) {
	    System.err.println("Usage: java FileCopy quelldatei zieldatei");
	    System.exit(1);
	}

	try {
	    fis = new FileInputStream(args[0]);
	    fos = new FileOutputStream(args[1]);

	    c = fis.read();
	    while ( c != -1 ) {
	       fos.write(c);
	       c = fis.read();
	    }

	    fis.close();
	    fos.close();
        }
        catch (FileNotFoundException e) {
            int index = fis == null? 0 : 1;
	    System.err.println("Datei " + args[index] + " konnte nicht geöffnet werden");
        }
        catch (IOException e) {
            System.err.println("Schreib- oder Lesefehler während des Kopierens aufgetreten");
        }
    }
}
